import axios from "axios";
const service = axios.create({
  baseURL: "http://kban.runpengsoft.com",
  timeout: 600000, //600000
  withCredentials: false,
});

// 请求拦截器
service.interceptors.request.use(
  (config) => {
    return config;
  },
  (error) => {
    return Promise.reject(error);
  }
);

// 响应拦截器
service.interceptors.response.use(
  (response) => {
    return response.data;
  },
  (error) => {
    return Promise.reject(error);
  }
);

export default service;
